Update assets details for direct upload stream provider.

For direct upload session/exhibitor/lobby, first, you need to create direct upload assets on MUX. To do this you need to call this (API)[https://developer.accelevents.com/reference/create-upload-video-url-for-session] which will prepare direct upload assets on MUX and will return directUploadId and directUploadUrl in response.

In the next step, you need to video directUploadUrl so it will update MUX assets and assetId will be generated on MUX. We need to get this information back in our system for streaming. To get this information we need to call this API.

You need to send session id as path parameters and uploadDto as body parameters.

This API can be used by authenticated users only, and it will require super admin/admin/staff level access.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here is the description of response attributes, which returns to the form of JSON.

It will return a success message if API execute successfully.

Here is the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error CodeError Description
400The request could not be understood by the server due to malformed syntax.
401You are not authorized to view the resource.
403Accessing the resource you were trying to reach is forbidden.
404The resource you were trying to reach is not found.
Path Params
int32
required

id is unique identifier for your session.

Body Params
uploadDto
object
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json